PHP 5.0.5 kernel32.dll Pufferüberlauf

EintraganpassenHistoryDiffjsonxmlCTI
CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
5.3$0-$5k0.00

Eine Schwachstelle wurde in PHP 5.0.5 (Programming Language Software) ausgemacht. Sie wurde als kritisch eingestuft. Es geht hierbei um eine unbekannte Funktionalität der Bibliothek kernel32.dll. Dank Manipulation mit einer unbekannten Eingabe kann eine Pufferüberlauf-Schwachstelle ausgenutzt werden. Klassifiziert wurde die Schwachstelle durch CWE als CWE-119. Auswirkungen hat dies auf die Integrität. Die Zusammenfassung von CVE lautet:

The Foreign Function Interface (ffi) extension in PHP 5.0.5 does not follow safe_mode restrictions, which allows context-dependent attackers to execute arbitrary code by loading an arbitrary DLL and calling a function, as demonstrated by kernel32.dll and the WinExec function. NOTE: this issue does not cross privilege boundaries in most contexts, so perhaps it should not be included in CVE.

Die Schwachstelle wurde am 24.08.2007 (Website) herausgegeben. Bereitgestellt wird das Advisory unter milw0rm.com. Die Verwundbarkeit wird seit dem 24.08.2007 mit der eindeutigen Identifikation CVE-2007-4528 gehandelt. Umgesetzt werden kann der Angriff über das Netzwerk. Das Ausnutzen erfordert keine spezifische Authentisierung. Es sind technische Details sowie ein Exploit zur Schwachstelle bekannt.

Er wird als proof-of-concept gehandelt. Der Exploit wird unter exploit-db.com bereitgestellt. Der Preis als 0-Day war auf dem Schwarzmarkt etwa $5k-$25k. Für den Vulnerability Scanner Nessus wurde am 18.11.2011 ein Plugin mit der ID 17714 (PHP Foreign Function Interface Arbitrary DLL Loading safe_mode Restriction Bypass) herausgegeben, womit die Existenz der Schwachstelle geprüft werden kann. Es wird der Family CGI abuses zugeordnet.

Es sind keine Informationen bezüglich Gegenmassnahmen bekannt. Der Einsatz eines alternativen Produkts bietet sich im Zweifelsfall an.

Mitunter wird der Fehler auch in den Datenbanken von X-Force (36234), Vulnerability Center (SBV-34169) und Tenable (17714) dokumentiert.

Produktinfoanpassen

Typ

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 5.3
VulDB Meta Temp Score: 5.3

VulDB Base Score: 5.3
VulDB Temp Score: 5.3
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfoanpassen

Klasse: Pufferüberlauf
CWE: CWE-119
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Proof-of-Concept
Download: 🔍

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Nessus ID: 17714
Nessus Name: PHP Foreign Function Interface Arbitrary DLL Loading safe_mode Restriction Bypass
Nessus Datei: 🔍
Nessus Risiko: 🔍
Nessus Family: 🔍

Exploit-DB: 🔍

Threat Intelligenceinfoanpassen

Interesse: 🔍
Aktive Akteure: 🔍
Aktive APT Gruppen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: keine Massnahme bekannt
Status: 🔍

0-Day Time: 🔍

Timelineinfoanpassen

23.08.2007 🔍
24.08.2007 +1 Tage 🔍
24.08.2007 +0 Tage 🔍
24.08.2007 +0 Tage 🔍
18.11.2011 +1547 Tage 🔍
04.01.2012 +47 Tage 🔍
16.03.2015 +1167 Tage 🔍
07.04.2017 +753 Tage 🔍
21.07.2021 +1566 Tage 🔍

Quelleninfoanpassen

Produkt: https://www.php.org/

Advisory: milw0rm.com
Status: Nicht definiert

CVE: CVE-2007-4528 (🔍)
X-Force: 36234
Vulnerability Center: 34169 - PHP 5.0.5 Foreign Function Interface Extension Safe_Mode Security Restrictions Bypass, Medium

Eintraginfoanpassen

Erstellt: 16.03.2015 12:18
Aktualisierung: 21.07.2021 16:33
Anpassungen: (1) source_nessus_risk
Komplett: 🔍

Kommentare

Do you need the next level of professionalism?

Upgrade your account now!